Author Topic: Error: The selected path is not supported  (Read 133 times)

0 Members and 1 Guest are viewing this topic.

Offline Shmolem

  • Posts: 24
    • View Profile
Error: The selected path is not supported
« on: May 11, 2019, 01:45:04 am »
So I’ve been trying to put my pack ( Shmolems also it’s not done yet ) together in the the flexi tool kit but every time I try to save it, it just says: error saving the pack: selected path is not supported I tried saving it to so many different places but the same error everytime. Help!

Offline namida

  • Administrator
  • Posts: 8719
    • View Profile
    • NeoLemmix Website
Re: Error: The selected path is not supported
« Reply #1 on: May 11, 2019, 05:42:47 am »
I believe you should save it inside an immediate subfolder of your "levels" folder.
My released level packs:
Lemmings Plus Series | Doomsday Lemmings

Offline Simon

  • Administrator
  • Posts: 2643
    • View Profile
    • Lix
Re: Error: The selected path is not supported
« Reply #2 on: May 11, 2019, 08:33:07 am »
If you can describe the solution in a single sentence, probably the tool should explain the solution in the error message, too?

-- Simon

Offline namida

  • Administrator
  • Posts: 8719
    • View Profile
    • NeoLemmix Website
Re: Error: The selected path is not supported
« Reply #3 on: May 11, 2019, 08:37:22 am »
I could be wrong about that. I neither developed nor use the new-formats pack toolkit.
My released level packs:
Lemmings Plus Series | Doomsday Lemmings

Offline IchoTolot

  • Moderator
  • Posts: 1946
    • View Profile
Re: Error: The selected path is not supported
« Reply #4 on: May 11, 2019, 11:57:03 am »
To open a pack select the folder of the pack in NL's levels folder and it will open the pack's data.

To save a pack, save inside the pack's folder in NL's levels directory (It will delete and recreate all data in there!). After opening an already existing pack this is also the default path, so all you need to do is to click on save in this case. If it's a new pack: You can simply create an empty folder and save inside it.


Offline Shmolem

  • Posts: 24
    • View Profile
Re: Error: The selected path is not supported
« Reply #5 on: May 11, 2019, 03:21:09 pm »
Yay it worked! But I noticed that if I add sprites the toolkit won’t let me save it with the same error but I fixed that to my just moving the sprites manually

Offline IchoTolot

  • Moderator
  • Posts: 1946
    • View Profile
Re: Error: The selected path is not supported
« Reply #6 on: May 11, 2019, 03:27:02 pm »
Yay it worked! But I noticed that if I add sprites the toolkit won’t let me save it with the same error but I fixed that to my just moving the sprites manually

I think I had this problem as well with adding some rank signs, but then also did it manually when I saw I just had to drop them into the folder back in the days.

Offline Flopsy

  • Global Moderator
  • Posts: 653
  • The king of Blockers ;)
    • View Profile
Re: Error: The selected path is not supported
« Reply #7 on: May 11, 2019, 03:56:01 pm »
This is exactly why I stopped using the tools (except the Editor of course! Can you imagine?) and just put the pack folder contents together myself, it saves these error messages effectively brick walling you in cases like this.

If you can understand the layout of the folders and why each file exists ShmoLem then I highly recommend just throwing the files and folders together yourself, it's a handy skill to learn in the long run.
The most important thing is when saving images they must be .PNG files and notepad documents must be .NXMI

On the other hand if the NeoLemmix tools are helpful to you then that's great :)
Don't tell me solutions to levels which I have not solved.

Lemmings: Gotta Go Fast - My NEW (in development) Sonic tileset dedicated level pack :)
SEB Lems - My first level pack (175 levels)
Flopsy's Youtube Channel - Watch Lemmings videos/streams with live commentary
Flopsy's Sonic Graphic Sets - Download Neo Lemmix compatible Sonic tilesets.

Offline Strato Incendus

  • He who usually only makes it up to rank two
  • Posts: 553
  • One-man Lemmings band
    • View Profile
Re: Error: The selected path is not supported
« Reply #8 on: May 11, 2019, 04:39:59 pm »
Yeah, I'm also editing everything manually now. :D I already thought I'm not the only one doing this. Allows you to swap out single levels, music for one level etc. much faster than having to compile the pack entirely anew every time. But of course, we are more experienced now.

For newer pack creators, it would definitely be helpful to have the tool work as smoothly as the old one, which was a great help to me when I made my first attempts at pack creation, I remember.
Ghost Lemmings - help us test a possible new NeoLemmix skill!
My packs so far:
Lemmings World Tour, my music-themed flagship pack, 320 levels - Let's Played by Colorful Arty
Paralems, a more flavour-driven one, 150 levels
Pit Lems, a more puzzly one, 100 levels - Let's Played by nin10doadict
Lemmicks, a pack for NeoLemmix 1.43 full of gimmicks, 170 levels

Offline Nepster

  • Moderator
  • Posts: 1829
    • View Profile
Re: Error: The selected path is not supported
« Reply #9 on: May 12, 2019, 07:22:18 pm »
I am slightly confused at the moment, because the message "selected path is not supported" does not exist (any more?) in the code. Could you please give me the version number of the pack toolkit you use?
Moreover I noticed that I forgot to log the error on failed pack saves. This is fixed in the attached version. Could you please try to produce the error with this new version, and then attach the Error.txt that (should) appear next to the PackToolkit.exe here?
Thanks in advance.